Bug 112313 - FILESAVE Text below image moves up next to it when file saved as DOCX
Summary: FILESAVE Text below image moves up next to it when file saved as DOCX
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks: DOCX DOCX-Anchor-and-Text-Wrap
  Show dependency treegraph
 
Reported: 2017-09-10 23:04 UTC by Aron Budea
Modified: 2019-10-11 02:37 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample ODT, save as DOCX (10.04 KB, application/vnd.oasis.opendocument.text)
2017-09-10 23:04 UTC, Aron Budea
Details
text-image_8f8b31abd02876c3601e343b8b3274754f8a61b6.pdf: what completely broken means (7.01 KB, application/pdf)
2017-11-06 15:25 UTC, Justin L
Details
text-image_word2003.pdf: how it looks in MS Office 2003 (2.82 KB, application/pdf)
2017-11-06 17:37 UTC, Justin L
Details
Original ODT saved as PDF from MSO 2013 (15.67 KB, application/pdf)
2017-11-11 13:11 UTC, Buovjaga
Details
DOCX from LibreOffice saved as PDF from MSO2013 (15.66 KB, application/pdf)
2017-11-11 13:12 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-09-10 23:04:03 UTC
Created attachment 136159 [details]
Sample ODT, save as DOCX

Open the attached ODT, containing an inserted image, and text above and below.
Save it as DOCX.
Reopen the DOCX.

=> The bottom text is repositioned next to the image.

Observed using LO 5.4.1.2 & 4.2.0.4 / Windows 7.
Not reproduced using LO 4.1.0.4.
=> regression
Comment 2 Buovjaga 2017-09-11 06:55:31 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 09122a537318f7ada075820f3b1ef83a64e56751
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on September 10th 2017
Comment 3 Justin L 2017-11-06 15:25:21 UTC
Created attachment 137576 [details]
text-image_8f8b31abd02876c3601e343b8b3274754f8a61b6.pdf: what completely broken means

First broken completely in 4.2 by commit 8f8b31abd02876c3601e343b8b3274754f8a61b6 Author: Luboš Luňák  CommitDate: Tue Aug 6 17:17:53 2013 +0200
  compatibility setting for MS Word wrapping text in less space (bnc#822908)
Comment 4 Justin L 2017-11-06 17:37:23 UTC
Created attachment 137579 [details]
text-image_word2003.pdf: how it looks in MS Office 2003

I'd probably flag this as notabug. The document is DESIGNED to have the text flow optimally, which implies that if there is room, the text should go beside. Microsoft Office wraps the text around too - thus it makes sense that LO should do the same. If there is any bug here, it is the difference in how the wrapping is taking place. This should be checked with Word 2013 as well, for recent confirmation (and also see how Word handles the original .odt).
Comment 5 Buovjaga 2017-11-11 13:11:58 UTC
Created attachment 137680 [details]
Original ODT saved as PDF from MSO 2013
Comment 6 Buovjaga 2017-11-11 13:12:49 UTC
Created attachment 137681 [details]
DOCX from LibreOffice saved as PDF from MSO2013
Comment 7 Kevin Suo 2017-12-21 04:01:25 UTC
Removing keyword bibisectRequest as is was already bibisected.
Adding keyword bisected as the first bad commit seems been identified.
Comment 8 QA Administrators 2019-10-11 02:37:58 UTC
Dear Aron Budea,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug